Package org.apache.solr.client.solrj.impl

## Class LBSolrClient.Req

- java.lang.Object
- - org.apache.solr.client.solrj.impl.LBSolrClient.Req

Enclosing class:
  LBSolrClient

    public static class LBSolrClient.Req
    extends Object

### Field Summary

Fields
`protected int` `numDeadServersToTry`
`protected SolrRequest<?>` `request`
`protected List<String>` `servers`

### Constructor Summary

Constructors
`Req​(SolrRequest<?> request, List<String> servers)`
`Req​(SolrRequest<?> request, List<String> servers, Integer numServersToTry)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getNumDeadServersToTry()`
`Integer` `getNumServersToTry()`
`SolrRequest<?>` `getRequest()`
`List<String>` `getServers()`
`void` `setNumDeadServersToTry​(int numDeadServersToTry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### request

    protected SolrRequest<?> request

#### servers

    protected List<String> servers

#### numDeadServersToTry

    protected int numDeadServersToTry

### Constructor Detail

#### Req

    public Req​(SolrRequest<?> request,
               List<String> servers)

#### Req

    public Req​(SolrRequest<?> request,
               List<String> servers,
               Integer numServersToTry)

### Method Detail

#### getRequest

    public SolrRequest<?> getRequest()

#### getServers

    public List<String> getServers()

#### getNumDeadServersToTry

    public int getNumDeadServersToTry()

Returns:
  the number of dead servers to try if there are no live servers left

#### setNumDeadServersToTry

    public void setNumDeadServersToTry​(int numDeadServersToTry)

Parameters:
  `numDeadServersToTry` - The number of dead servers to try if there are no live servers left. Defaults to the number of servers in this request.

#### getNumServersToTry

    public Integer getNumServersToTry()